aboutsummaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorMike Stump <mrs@apple.com>2003-04-04 22:49:10 +0000
committerMike Stump <mrs@gcc.gnu.org>2003-04-04 22:49:10 +0000
commit112a0bfd7acb66622dbbb8be5deb9cbff7fa772b (patch)
treeff2425732c2b2dcc11afc330e39d461b8bee7bef /contrib
parentbb056a77f345caff9802848ed9bc459055a3a9ea (diff)
downloadgcc-112a0bfd7acb66622dbbb8be5deb9cbff7fa772b.zip
gcc-112a0bfd7acb66622dbbb8be5deb9cbff7fa772b.tar.gz
gcc-112a0bfd7acb66622dbbb8be5deb9cbff7fa772b.tar.bz2
* compare_tests: Fix exit status and be more flexible with spacing.
From-SVN: r65255
Diffstat (limited to 'contrib')
-rw-r--r--contrib/ChangeLog4
-rwxr-xr-xcontrib/compare_tests39
2 files changed, 27 insertions, 16 deletions
diff --git a/contrib/ChangeLog b/contrib/ChangeLog
index 00253ca..2573570 100644
--- a/contrib/ChangeLog
+++ b/contrib/ChangeLog
@@ -1,3 +1,7 @@
+2003-04-04 Mike Stump <mrs@apple.com>
+
+ * compare_tests: Fix exit status and be more flexible with spacing.
+
2003-03-08 Phil Edwards <pme@gcc.gnu.org>
* test_summary: Add -h, print existing comments as help.
diff --git a/contrib/compare_tests b/contrib/compare_tests
index 7a1d76c..a7fc671 100755
--- a/contrib/compare_tests
+++ b/contrib/compare_tests
@@ -2,14 +2,16 @@
# This script automatically test the given tool with the tool's test cases,
# reporting anything of interest.
-# exits with 1 if there is nothing of interest
-# exits with 0 if there is something interesting
+# exits with 0 if there is nothing of interest
+# exits with 1 if there is something interesting
# exits with 2 if an error occurred
# Give two .sum files to compare them
# Written by Mike Stump <mrs@cygnus.com>
+tool=gxx
+
tmp1=/tmp/$tool-testing.$$a
tmp2=/tmp/$tool-testing.$$b
now_s=/tmp/$tool-testing.$$d
@@ -26,13 +28,14 @@ sed 's/^XFAIL/FAIL/; s/^XPASS/PASS/' < "$2" >$tmp2
before=$tmp1
now=$tmp2
+exit_status=0
trap "rm -f $tmp1 $tmp2 $now_s $before_s" 0 1 2 3 5 9 13 15
-sort +0.4 "$now" > "$now_s"
-sort +0.4 "$before" > "$before_s"
+sort -t ':' +1 "$now" > "$now_s"
+sort -t ':' +1 "$before" > "$before_s"
-grep '^FAIL' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^PASS' "$before_s" | sed 's/^....: //' | comm -12 $tmp1 - >$tmp2
+grep '^FAIL:' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^PASS' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -12 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -40,10 +43,11 @@ if [ $? = 0 ]; then
echo
cat $tmp2
echo
+ exit_status=1
fi
-grep '^PASS' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^FAIL' "$before_s" | sed 's/^....: //' | comm -12 $tmp1 - >$tmp2
+grep '^PASS' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^FAIL' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -12 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -53,8 +57,8 @@ if [ $? = 0 ]; then
echo
fi
-grep '^FAIL' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^....: //' | comm -23 $tmp1 - >$tmp2
+grep '^FAIL' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -23 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -62,10 +66,11 @@ if [ $? = 0 ]; then
echo
cat $tmp2
echo
+ exit_status=1
fi
-grep '^PASS' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^....: //' | comm -23 $tmp1 - >$tmp2
+grep '^PASS' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^[PF]A[SI][SL]' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -23 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -75,8 +80,8 @@ if [ $? = 0 ]; then
echo
fi
-grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^PASS' "$before_s" | sed 's/^....: //' | comm -13 $tmp1 - >$tmp2
+grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^PASS' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -13 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -86,8 +91,8 @@ if [ $? = 0 ]; then
echo
fi
-grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^....: //' >$tmp1
-grep '^FAIL' "$before_s" | sed 's/^....: //' | comm -13 $tmp1 - >$tmp2
+grep '^[PF]A[SI][SL]' "$now_s" | sed 's/^[^:]*:[ ]//' >$tmp1
+grep '^FAIL' "$before_s" | sed 's/^[^:]*:[ ]//' | comm -13 $tmp1 - >$tmp2
grep -s . $tmp2 >/dev/null
if [ $? = 0 ]; then
@@ -96,3 +101,5 @@ if [ $? = 0 ]; then
cat $tmp2
echo
fi
+
+exit $exit_status